Evince Document Library Reference Manual: EvAnnotationText

## EvAnnotationText EvAnnotationText |

## Synopsis

                        EvAnnotation;
                        EvAnnotationClass;
                        EvAnnotationMarkup;
                        EvAnnotationMarkupInterface;
                        EvAnnotationText;
                        EvAnnotationTextClass;
                        EvAnnotationAttachment;
                        EvAnnotationAttachmentClass;
    enum                EvAnnotationTextIcon;
    enum                EvAnnotationType;
    EvAnnotationType    ev_annotation_get_annotation_type   (EvAnnotation *annot);
    EvPage *            ev_annotation_get_page              (EvAnnotation *annot);
    guint               ev_annotation_get_page_index        (EvAnnotation *annot);
    gboolean            ev_annotation_equal                 (EvAnnotation *annot,
                                                             EvAnnotation *other);
    const gchar *       ev_annotation_get_contents          (EvAnnotation *annot);
    gboolean            ev_annotation_set_contents          (EvAnnotation *annot,
                                                             const gchar *contents);
    const gchar *       ev_annotation_get_name              (EvAnnotation *annot);
    gboolean            ev_annotation_set_name              (EvAnnotation *annot,
                                                             const gchar *name);
    const gchar *       ev_annotation_get_modified          (EvAnnotation *annot);
    gboolean            ev_annotation_set_modified          (EvAnnotation *annot,
                                                             const gchar *modified);
    gboolean            ev_annotation_set_modified_from_time
                                                            (EvAnnotation *annot,
                                                             GTime utime);
    void                ev_annotation_get_color             (EvAnnotation *annot,
                                                             GdkColor *color);
    gboolean            ev_annotation_set_color             (EvAnnotation *annot,
                                                             const GdkColor *color);
    void                ev_annotation_get_rgba              (EvAnnotation *annot,
                                                             GdkRGBA *rgba);
    gboolean            ev_annotation_set_rgba              (EvAnnotation *annot,
                                                             const GdkRGBA *rgba);
    const gchar *       ev_annotation_markup_get_label      (EvAnnotationMarkup *markup);
    gboolean            ev_annotation_markup_set_label      (EvAnnotationMarkup *markup,
                                                             const gchar *label);
    gdouble             ev_annotation_markup_get_opacity    (EvAnnotationMarkup *markup);
    gboolean            ev_annotation_markup_set_opacity    (EvAnnotationMarkup *markup,
                                                             gdouble opacity);
    gboolean            ev_annotation_markup_has_popup      (EvAnnotationMarkup *markup);
    gboolean            ev_annotation_markup_set_has_popup  (EvAnnotationMarkup *markup,
                                                             gboolean has_popup);
    void                ev_annotation_markup_get_rectangle  (EvAnnotationMarkup *markup,
                                                             EvRectangle *ev_rect);
    gboolean            ev_annotation_markup_set_rectangle  (EvAnnotationMarkup *markup,
                                                             const EvRectangle *ev_rect);
    gboolean            ev_annotation_markup_get_popup_is_open
                                                            (EvAnnotationMarkup *markup);
    gboolean            ev_annotation_markup_set_popup_is_open
                                                            (EvAnnotationMarkup *markup,
                                                             gboolean is_open);
    EvAnnotation *      ev_annotation_text_new              (EvPage *page);
    EvAnnotationTextIcon ev_annotation_text_get_icon        (EvAnnotationText *text);
    gboolean            ev_annotation_text_set_icon         (EvAnnotationText *text,
                                                             EvAnnotationTextIcon icon);
    gboolean            ev_annotation_text_get_is_open      (EvAnnotationText *text);
    gboolean            ev_annotation_text_set_is_open      (EvAnnotationText *text,
                                                             gboolean is_open);
    EvAnnotation *      ev_annotation_attachment_new        (EvPage *page,
                                                             EvAttachment *attachment);
    EvAttachment *      ev_annotation_attachment_get_attachment
                                                            (EvAnnotationAttachment *annot);
    gboolean            ev_annotation_attachment_set_attachment
                                                            (EvAnnotationAttachment *annot,
                                                             EvAttachment *attachment);

## Object Hierarchy

      GObject
       +----EvAnnotation
             +----EvAnnotationAttachment
             +----EvAnnotationText

      GInterface
       +----EvAnnotationMarkup

      GObject
       +----EvAnnotation
             +----EvAnnotationText

      GObject
       +----EvAnnotation
             +----EvAnnotationAttachment

      GEnum
       +----EvAnnotationTextIcon

      GEnum
       +----EvAnnotationType

## Prerequisites

EvAnnotationMarkup requires EvAnnotation.

## Known Derived Interfaces

EvAnnotation is required by EvAnnotationMarkup.

## Implemented Interfaces

EvAnnotationText implements EvAnnotationMarkup.

EvAnnotationAttachment implements EvAnnotationMarkup.

## Known Implementations

EvAnnotationMarkup is implemented by EvAnnotationAttachment and EvAnnotationText.

## Properties

      "color"                    gpointer              : Read / Write
      "contents"                 gchar*                : Read / Write
      "modified"                 gchar*                : Read / Write
      "name"                     gchar*                : Read / Write
      "page"                     EvPage*               : Write / Construct Only
      "rgba"                     GdkRGBA*              : Read / Write
      "has-popup"                gboolean              : Read / Write
      "label"                    gchar*                : Read / Write
      "opacity"                  gdouble               : Read / Write
      "popup-is-open"            gboolean              : Read / Write
      "rectangle"                EvRectangle*          : Read / Write
      "icon"                     EvAnnotationTextIcon  : Read / Write
      "is-open"                  gboolean              : Read / Write
      "attachment"               EvAttachment*         : Read / Write / Construct

## Description

## Details

### EvAnnotation

    typedef struct _EvAnnotation EvAnnotation;

### EvAnnotationClass

    typedef struct _EvAnnotationClass EvAnnotationClass;

### EvAnnotationMarkup

    typedef struct _EvAnnotationMarkup EvAnnotationMarkup;

### EvAnnotationMarkupInterface

    typedef struct _EvAnnotationMarkupInterface EvAnnotationMarkupInterface;

### EvAnnotationText

    typedef struct _EvAnnotationText EvAnnotationText;

### EvAnnotationTextClass

    typedef struct _EvAnnotationTextClass EvAnnotationTextClass;

### EvAnnotationAttachment

    typedef struct _EvAnnotationAttachment EvAnnotationAttachment;

### EvAnnotationAttachmentClass

    typedef struct _EvAnnotationAttachmentClass EvAnnotationAttachmentClass;

### enum EvAnnotationTextIcon

    typedef enum {
    	EV_ANNOTATION_TEXT_ICON_NOTE,
    	EV_ANNOTATION_TEXT_ICON_COMMENT,
    	EV_ANNOTATION_TEXT_ICON_KEY,
    	EV_ANNOTATION_TEXT_ICON_HELP,
    	EV_ANNOTATION_TEXT_ICON_NEW_PARAGRAPH,
    	EV_ANNOTATION_TEXT_ICON_PARAGRAPH,
    	EV_ANNOTATION_TEXT_ICON_INSERT,
    	EV_ANNOTATION_TEXT_ICON_CROSS,
    	EV_ANNOTATION_TEXT_ICON_CIRCLE,
    	EV_ANNOTATION_TEXT_ICON_UNKNOWN
    } EvAnnotationTextIcon;

`EV_ANNOTATION_TEXT_ICON_NOTE` |
`EV_ANNOTATION_TEXT_ICON_COMMENT` |
`EV_ANNOTATION_TEXT_ICON_KEY` |
`EV_ANNOTATION_TEXT_ICON_HELP` |
`EV_ANNOTATION_TEXT_ICON_NEW_PARAGRAPH` |
`EV_ANNOTATION_TEXT_ICON_PARAGRAPH` |
`EV_ANNOTATION_TEXT_ICON_INSERT` |
`EV_ANNOTATION_TEXT_ICON_CROSS` |
`EV_ANNOTATION_TEXT_ICON_CIRCLE` |
`EV_ANNOTATION_TEXT_ICON_UNKNOWN` |

### enum EvAnnotationType

    typedef enum {
    	EV_ANNOTATION_TYPE_UNKNOWN,
    	EV_ANNOTATION_TYPE_TEXT,
    	EV_ANNOTATION_TYPE_ATTACHMENT
    } EvAnnotationType;

`EV_ANNOTATION_TYPE_UNKNOWN` |
`EV_ANNOTATION_TYPE_TEXT` |
`EV_ANNOTATION_TYPE_ATTACHMENT` |

### ev_annotation_get_annotation_type ()

    EvAnnotationType    ev_annotation_get_annotation_type   (EvAnnotation *annot);

### ev_annotation_get_page ()

    EvPage *            ev_annotation_get_page              (EvAnnotation *annot);

### ev_annotation_get_page_index ()

    guint               ev_annotation_get_page_index        (EvAnnotation *annot);

### ev_annotation_equal ()

    gboolean            ev_annotation_equal                 (EvAnnotation *annot,
                                                             EvAnnotation *other);

### ev_annotation_get_contents ()

    const gchar *       ev_annotation_get_contents          (EvAnnotation *annot);

### ev_annotation_set_contents ()

    gboolean            ev_annotation_set_contents          (EvAnnotation *annot,
                                                             const gchar *contents);

### ev_annotation_get_name ()

    const gchar *       ev_annotation_get_name              (EvAnnotation *annot);

### ev_annotation_set_name ()

    gboolean            ev_annotation_set_name              (EvAnnotation *annot,
                                                             const gchar *name);

### ev_annotation_get_modified ()

    const gchar *       ev_annotation_get_modified          (EvAnnotation *annot);

### ev_annotation_set_modified ()

    gboolean            ev_annotation_set_modified          (EvAnnotation *annot,
                                                             const gchar *modified);

### ev_annotation_set_modified_from_time ()

    gboolean            ev_annotation_set_modified_from_time
                                                            (EvAnnotation *annot,
                                                             GTime utime);

### ev_annotation_get_color ()

    void                ev_annotation_get_color             (EvAnnotation *annot,
                                                             GdkColor *color);

### Warning

`ev_annotation_get_color` has been deprecated since version 3.6 and should not be used in newly-written code. Use `ev_annotation_get_rgba()` instead.

### ev_annotation_set_color ()

    gboolean            ev_annotation_set_color             (EvAnnotation *annot,
                                                             const GdkColor *color);

### Warning

`ev_annotation_set_color` has been deprecated since version 3.6 and should not be used in newly-written code. Use `ev_annotation_set_rgba()` instead.

### ev_annotation_get_rgba ()

    void                ev_annotation_get_rgba              (EvAnnotation *annot,
                                                             GdkRGBA *rgba);

Since 3.6

### ev_annotation_set_rgba ()

    gboolean            ev_annotation_set_rgba              (EvAnnotation *annot,
                                                             const GdkRGBA *rgba);

Since 3.6

### ev_annotation_markup_get_label ()

    const gchar *       ev_annotation_markup_get_label      (EvAnnotationMarkup *markup);

### ev_annotation_markup_set_label ()

    gboolean            ev_annotation_markup_set_label      (EvAnnotationMarkup *markup,
                                                             const gchar *label);

### ev_annotation_markup_get_opacity ()

    gdouble             ev_annotation_markup_get_opacity    (EvAnnotationMarkup *markup);

### ev_annotation_markup_set_opacity ()

    gboolean            ev_annotation_markup_set_opacity    (EvAnnotationMarkup *markup,
                                                             gdouble opacity);

### ev_annotation_markup_has_popup ()

    gboolean            ev_annotation_markup_has_popup      (EvAnnotationMarkup *markup);

### ev_annotation_markup_set_has_popup ()

    gboolean            ev_annotation_markup_set_has_popup  (EvAnnotationMarkup *markup,
                                                             gboolean has_popup);

### ev_annotation_markup_get_rectangle ()

    void                ev_annotation_markup_get_rectangle  (EvAnnotationMarkup *markup,
                                                             EvRectangle *ev_rect);

### ev_annotation_markup_set_rectangle ()

    gboolean            ev_annotation_markup_set_rectangle  (EvAnnotationMarkup *markup,
                                                             const EvRectangle *ev_rect);

### ev_annotation_markup_get_popup_is_open ()

    gboolean            ev_annotation_markup_get_popup_is_open
                                                            (EvAnnotationMarkup *markup);

### ev_annotation_markup_set_popup_is_open ()

    gboolean            ev_annotation_markup_set_popup_is_open
                                                            (EvAnnotationMarkup *markup,
                                                             gboolean is_open);

### ev_annotation_text_new ()

    EvAnnotation *      ev_annotation_text_new              (EvPage *page);

### ev_annotation_text_get_icon ()

    EvAnnotationTextIcon ev_annotation_text_get_icon        (EvAnnotationText *text);

### ev_annotation_text_set_icon ()

    gboolean            ev_annotation_text_set_icon         (EvAnnotationText *text,
                                                             EvAnnotationTextIcon icon);

### ev_annotation_text_get_is_open ()

    gboolean            ev_annotation_text_get_is_open      (EvAnnotationText *text);

### ev_annotation_text_set_is_open ()

    gboolean            ev_annotation_text_set_is_open      (EvAnnotationText *text,
                                                             gboolean is_open);

### ev_annotation_attachment_new ()

    EvAnnotation *      ev_annotation_attachment_new        (EvPage *page,
                                                             EvAttachment *attachment);

### ev_annotation_attachment_get_attachment ()

    EvAttachment *      ev_annotation_attachment_get_attachment
                                                            (EvAnnotationAttachment *annot);

### ev_annotation_attachment_set_attachment ()

    gboolean            ev_annotation_attachment_set_attachment
                                                            (EvAnnotationAttachment *annot,
                                                             EvAttachment *attachment);

## Property Details

### The `"color"` property

      "color"                    gpointer              : Read / Write

### Warning

`EvAnnotation:color` has been deprecated since version 3.6 and should not be used in newly-written code. Use "rgba" instead.

The annotation color.

### The `"contents"` property

      "contents"                 gchar*                : Read / Write

The annotation contents.

Default value: NULL

### The `"modified"` property

      "modified"                 gchar*                : Read / Write

Last modified date as string.

Default value: NULL

### The `"name"` property

      "name"                     gchar*                : Read / Write

The annotation unique name.

Default value: NULL

### The `"page"` property

      "page"                     EvPage*               : Write / Construct Only

The page wehere the annotation is.

### The `"rgba"` property

      "rgba"                     GdkRGBA*              : Read / Write

Since 3.6

### The `"has-popup"` property

      "has-popup"                gboolean              : Read / Write

Whether the markup annotation has a popup window associated.

Default value: TRUE

### The `"label"` property

      "label"                    gchar*                : Read / Write

Label of the markup annotation.

Default value: NULL

### The `"opacity"` property

      "opacity"                  gdouble               : Read / Write

Opacity of the markup annotation.

Allowed values: >= 0

Default value: 1

### The `"popup-is-open"` property

      "popup-is-open"            gboolean              : Read / Write

Whether the popup associated to the markup annotation is open.

Default value: FALSE

### The `"rectangle"` property

      "rectangle"                EvRectangle*          : Read / Write

The Rectangle of the popup associated to the markup annotation.

### The `"icon"` property

      "icon"                     EvAnnotationTextIcon  : Read / Write

The icon fo the text annotation.

Default value: EV_ANNOTATION_TEXT_ICON_NOTE

### The `"is-open"` property

      "is-open"                  gboolean              : Read / Write

Whether text annot is initially open.

Default value: FALSE

### The `"attachment"` property

      "attachment"               EvAttachment*         : Read / Write / Construct

The attachment of the annotation.